# class SS7MsgSccpReassemble |
Full name | `TelEngine::SS7MsgSccpReassemble`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7MsgSCCP [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Return { Rejected, Accepted, Error, Finished, }

#### Public Methods

- SS7MsgSccpReassemble (SS7MsgSCCP* msg, const SS7Label& label, unsigned int timeToLive)
- virtual ~SS7MsgSccpReassemble ()
- bool canProcess (const SS7MsgSCCP* msg, const SS7Label& label)
- Return appendSegment (SS7MsgSCCP* msg, const SS7Label& label)
- inline bool timeout ()
- inline bool haveAllSegments ()

## Detailed Description

enum Return { Rejected, Accepted, Error, Finished, } | ### Return

SS7MsgSccpReassemble (SS7MsgSCCP* msg, const SS7Label& label, unsigned int timeToLive) | ### SS7MsgSccpReassemble

Constructor

Parameters:

msg | The first message segment
label | The MTP routing label
timeToLive | The time internal in milliseconds that we wait to reassemble the message

~SS7MsgSccpReassemble () | ### ~SS7MsgSccpReassemble

[virtual]

Destructor

bool canProcess (const SS7MsgSCCP* msg, const SS7Label& label) | ### canProcess

Helper method used to check if the given message is part of this reassembling process

Parameters:

msg | The message to verify
label | The SS7 routing label

Returns: True if msg is a part of this reassembling process

Return appendSegment (SS7MsgSCCP* msg, const SS7Label& label) | ### appendSegment

Append a sccp message segment to the main message

Parameters:

msg | The message segment
label | The SS7 routing label

Returns: One of the Return enum options

inline bool timeout () | ### timeout

Check if this reassemble process has expired

Returns: True if this reassemble process has expired

inline bool haveAllSegments () | ### haveAllSegments

Helper method to verify if all segments have arrived

Returns: True if all segments arrived

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.